# Enum Class ComplianceLevel

Object
Enum<ComplianceLevel>
ComplianceLevel

All Implemented Interfaces:
  `Serializable, Comparable<ComplianceLevel>, Constable`

public enum ComplianceLevel extends Enum<ComplianceLevel>
Compliance level for elements. The international standards defines an extensive set of metadata elements. Typically only a subset of the full number of elements is used. However, it is essential that a basic minimum number of metadata elements be maintained for a dataset.

Since:
  2.0

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum​.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CORE`
  Core metadata elements required to identify a dataset, typically for catalogue purposes.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ComplianceLevel`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ComplianceLevel[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CORE

    public static final ComplianceLevel CORE
    Core metadata elements required to identify a dataset, typically for catalogue purposes. This level specifies metadata elements answering the following questions:

    - Does a dataset on a specific topic exist (what)?
    - For a specific place (where)?
    - For a specific date or period (when)?
    - A point of contact to learn more about or order the dataset (who)?

    Using the recommended optional elements in addition to the mandatory elements will increase inter-operability, allowing users to understand without ambiguity the geographic data and the related metadata provided by either the producer or the distributor.

- ## Method Details

  - ### values

    public static ComplianceLevel[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ComplianceLevel valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null